<?php

namespace FiloBlu\CategoryPagination\Block\Adminhtml\System\Config\Form\Field;

class SelectPage extends \Magento\Framework\View\Element\Html\Select
{

    public function __construct(
        \Magento\Framework\View\Element\Context $context, array $data = []
    )
    {
        parent::__construct($context, $data);
    }

    public function _toHtml()
    {
        if (!$this->getOptions()) {

            $this->addOption("1", __('1'));
            $this->addOption("1+", __('>1'));

        }
        return parent::_toHtml();
    }

    /**
     * Sets name for input element
     *
     * @param string $value
     * @return $this
     */
    public function setInputName($value)
    {
        return $this->setName($value);
    }
}
